.gallery {
    padding-top: rem(20);
    padding-bottom: rem(20);

    &__main {
        display: grid;
        grid-row-gap: rem(8);
        grid-column-gap: rem(8);
        grid-template-columns: 1fr 1fr;

        &.open {

            .gallery__item {
                display: block;
            }
        }
    }

    &__footer {
        text-align: center;
        padding-top: rem(16);

        .btn-view {
            width: 100%;
        }
    }

    &__item {
        color: $white;
        font-weight: 600;
        line-height: 140%;
        font-size: rem(22);
        text-align: center;
        white-space: nowrap;
        text-decoration: none;
        display: none;
        position: relative;

        &:hover {
            color: $white;
            text-decoration: none;
        }

        &:nth-child(-n+4) {
            display: block;
        }
    }

    &__hover {
        opacity: 0;
        visibility: hidden;
        z-index: 20;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        font-style: normal;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        background: rgba(0, 0, 0, 0.2);
        backdrop-filter: blur(5px);
        transition: .3s;

        &__wrap {
            display: block;
        }
    }

    &__icon {
        width: 30px;
        height: 30px;
        font-size: 0;
        line-height: 0;
        display: block;
        position: relative;
        margin: 0 auto rem(10) auto;

        &:after,
        &:before {
            z-index: 1;
            top: calc(50% - 2px);
            left: calc(50% - 15px);
            content: '';
            width: 30px;
            height: 4px;
            background: $white;
            position: absolute;
        }

        &:after {
            transform: rotate(90deg);
        }
    }

    &__text {
        display: block;
        font-style: normal;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(40);
        padding-bottom: rem(30);

        &__footer {
            padding-top: rem(42);

            .btn-view {
                width: auto;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            grid-row-gap: rem(20);
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }
    @include media-breakpoint-up(xl) {

        &__main {
            grid-row-gap: rem(30);
            grid-column-gap: rem(30);
        }

        &__item {


            &:hover {

                .gallery__hover {
                    opacity: 1;
                    visibility: visible;
                    transition: .3s;
                }
            }
        }
    }
}
